AM263Px MCU+ SDK: Flash_DevConfig Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
Flash_DevConfig Struct Reference
APIs for Board Specific Device Drivers » APIs for FLASH

## Data Fields
uint8_t | cmdExtType
uint8_t | byteOrder
uint8_t | enable4BAddr
uint8_t | addrByteSupport
uint8_t | fourByteAddrEnSeq
uint8_t | cmdWren
uint8_t | cmdRdsr
uint8_t | srWip
uint8_t | cmdPageLoadCyc1
uint8_t | cmdPageLoadCyc2
uint8_t | cmdRandomReadCyc1
uint8_t | cmdRandomReadCyc2
uint8_t | cmdRandomInput
uint8_t | cmdPageProgCyc1
uint8_t | cmdPageProgCyc2
uint8_t | pageColAddrCyc
uint8_t | pageRowAddrCyc
uint8_t | cmdReadStatus
uint8_t | cmdReset
uint8_t | srWel
uint8_t | resetType
uint8_t | deviceBusyType
uint8_t | xspiWipRdCmd
uint32_t | xspiWipReg
uint32_t | xspiWipBit
uint32_t | flashWriteTimeout
uint32_t | flashBusyTimeout
FlashCfg_EraseConfig | eraseCfg
FlashCfg_ReadIDConfig | idCfg
FlashCfg_ProtoEnConfig | protocolCfg
Flash_NandConfig * | nandCfg

## Field Documentation

## ◆ cmdExtType

uint8_t Flash_DevConfig::cmdExtType

## ◆ byteOrder

uint8_t Flash_DevConfig::byteOrder

## ◆ enable4BAddr

uint8_t Flash_DevConfig::enable4BAddr

## ◆ addrByteSupport

uint8_t Flash_DevConfig::addrByteSupport

## ◆ fourByteAddrEnSeq

uint8_t Flash_DevConfig::fourByteAddrEnSeq

## ◆ cmdWren

uint8_t Flash_DevConfig::cmdWren

## ◆ cmdRdsr

uint8_t Flash_DevConfig::cmdRdsr

## ◆ srWip

uint8_t Flash_DevConfig::srWip

## ◆ cmdPageLoadCyc1

uint8_t Flash_DevConfig::cmdPageLoadCyc1

## ◆ cmdPageLoadCyc2

uint8_t Flash_DevConfig::cmdPageLoadCyc2

## ◆ cmdRandomReadCyc1

uint8_t Flash_DevConfig::cmdRandomReadCyc1

## ◆ cmdRandomReadCyc2

uint8_t Flash_DevConfig::cmdRandomReadCyc2

## ◆ cmdRandomInput

uint8_t Flash_DevConfig::cmdRandomInput

## ◆ cmdPageProgCyc1

uint8_t Flash_DevConfig::cmdPageProgCyc1

## ◆ cmdPageProgCyc2

uint8_t Flash_DevConfig::cmdPageProgCyc2

## ◆ pageColAddrCyc

uint8_t Flash_DevConfig::pageColAddrCyc

## ◆ pageRowAddrCyc

uint8_t Flash_DevConfig::pageRowAddrCyc

## ◆ cmdReadStatus

uint8_t Flash_DevConfig::cmdReadStatus

## ◆ cmdReset

uint8_t Flash_DevConfig::cmdReset

## ◆ srWel

uint8_t Flash_DevConfig::srWel

## ◆ resetType

uint8_t Flash_DevConfig::resetType

## ◆ deviceBusyType

uint8_t Flash_DevConfig::deviceBusyType

## ◆ xspiWipRdCmd

uint8_t Flash_DevConfig::xspiWipRdCmd

## ◆ xspiWipReg

uint32_t Flash_DevConfig::xspiWipReg

## ◆ xspiWipBit

uint32_t Flash_DevConfig::xspiWipBit

## ◆ flashWriteTimeout

uint32_t Flash_DevConfig::flashWriteTimeout

## ◆ flashBusyTimeout

uint32_t Flash_DevConfig::flashBusyTimeout

## ◆ eraseCfg

FlashCfg_EraseConfig Flash_DevConfig::eraseCfg

## ◆ idCfg

FlashCfg_ReadIDConfig Flash_DevConfig::idCfg

## ◆ protocolCfg

FlashCfg_ProtoEnConfig Flash_DevConfig::protocolCfg

## ◆ nandCfg

Flash_NandConfig* Flash_DevConfig::nandCfg